# Exposures API

An Exposure refers to any unintended release of user credentials on the Internet. This could be due to a data breach at a site, malware that has captured user credentials, a phishing site which has been capturing user credentials, etc. An Exposure occurs when this stolen credential data is then posted or shared in some public or private venue. Enzoic (formerly PasswordPing) routinely scours the web looking for this data and catalogues it into its database. Every time a new list of credentials is found, this is added as a new Exposure in our database.

The Exposures API allows you to lookup all of the credentials Exposures that have been found for a given email or domain and obtain the detailed information about each Exposure. An example use case would be to monitor for new Exposures for a given group of users and send them notifications so that they may reset their credentials on the compromised site.

{% content-ref url="/pages/0vcuDZtjO2oqVZBFtQR6" %}
[Get Exposures for an Email Address](/enzoic-api-developer-documentation/api-reference/exposures-api/get-exposures-for-an-email-address.md)
{% endcontent-ref %}

{% content-ref url="/pages/kepsXLMEliRiPtQjp1NV" %}
[Get Exposures for a Domain](/enzoic-api-developer-documentation/api-reference/exposures-api/get-exposures-for-a-domain.md)
{% endcontent-ref %}

{% content-ref url="/pages/gnpGdoqkxXMjksxlweT1" %}
[Get Exposures for All Email Addresses in a Domain](/enzoic-api-developer-documentation/api-reference/exposures-api/get-exposures-for-all-email-addresses-in-a-domain.md)
{% endcontent-ref %}

{% content-ref url="/pages/dY6NLyjLz7nv8AcKGh13" %}
[Retrieve Details for an Exposure](/enzoic-api-developer-documentation/api-reference/exposures-api/retrieve-details-for-an-exposure.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enzoic.com/enzoic-api-developer-documentation/api-reference/exposures-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
